package cn.reghao.devops.mgr.admin.db.repository;

import cn.reghao.devops.mgr.admin.model.po.Menu;
import org.springframework.data.jpa.repository.JpaRepository;

import java.util.List;

/**
 * @author reghao
 * @date 2019-08-29 10:52:14
 */
public interface MenuRepository extends JpaRepository<Menu, Integer> {
    int countByPid(int pid);
    List<Menu> findByPid(int pid);
    Menu findByUrl(String url);
    List<Menu> findAllByEnabled(boolean enabled);
    List<Menu> findByEnabledIsTrueAndType(String type);
}
